/**
 * 
 */
package edu.wmich.cs1120.stackinterface;

/**
 * @author sww
 *
 */
public class AnotherStack implements IStack {

	private final int MAX = 10;
	private char[] content= new char[MAX];
	private int closeEnd = 0;
	
	/* (non-Javadoc)
	 * @see edu.wmich.cs1120.stackinterface.IStack#empty()
	 */
	@Override
	public boolean empty() {
		if (closeEnd <= 0)
			return true;
		else
			return false;
	}

	/* (non-Javadoc)
	 * @see edu.wmich.cs1120.stackinterface.IStack#pop()
	 */
	@Override
	public char pop() {
		assert (closeEnd > 0);
		return content[closeEnd--];
		
	}

	/* (non-Javadoc)
	 * @see edu.wmich.cs1120.stackinterface.IStack#push(char)
	 */
	@Override
	public void push(char c) {
		assert (closeEnd<MAX);
		for(int i = closeEnd;i>=0;i--)
		       content[i+1] = content[i];
        content[0] = c;
        closeEnd++;
	}

}
